Package com.documentum.registry

# Class DfClientRegistryObject

java.lang.Object
com.documentum.registry.DfClientRegistryObjectBase
com.documentum.registry.DfClientRegistryObject

All Implemented Interfaces:
  `IDfClientRegistryObject`

public abstract class DfClientRegistryObject extends DfClientRegistryObjectBase

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final String`
  `convertBoolean(boolean value)`
  Converts booleans to it's equivalent string values
  `protected final String`
  `convertString(String str)`
  Converts nulls into empty strings for the registry.
  `protected final String`
  `convertStringWithoutWhitespace(String str)`
  Converts nulls into empty strings for the registry.
  `String`
  `getContentIdentifier()`
  Returns content identifier
  `String`
  `getDocbaseId()`
  Returns the repository identifier for the repository to which the object belongs.
  `String`
  `getDocbaseName()`
  Returns the name of the repository this object belongs to.
  `String`
  `getDocbroker()`
  Returns the name of the DocBroker in use when the object was written to the registry.
  `String`
  `getDomainName()`
  Returns the NT domain name of the user who registered this document.
  `String`
  `getFilePath()`
  Returns the local content file path to the repository object.
  `String`
  `getFolderPath()`
  Returns the repository cabinet / folder path from which the repository object was accessed when the object was added to the registry.
  `String`
  `getFormat()`
  Returns the format name for the repository object (for example, msw6)
  `String`
  `getFormatDescription()`
  Returns the description of the repository format for the object (e.g.
  `String`
  `getObjectId()`
  Returns the repository object ID for the client registry object.
  `String`
  `getObjectName()`
  Returns the name of the repository object.
  `String`
  `getParentObjectId()`
  `String`
  `getResourceForkIdentifier()`
  Returns resource fork identifier
  `String`
  `getTitle()`
  Returns the title of the repository object.
  `String`
  `getType()`
  Returns the r_object_type for the repository object.
  `String`
  `getUser()`
  Returns the login name of the user who registered this document.
  `int`
  `getVStamp()`
  Returns the vstamp of the object.
  `boolean`
  `isDirty()`
  Returns true if the object attributes have been modified.
  `protected final void`
  `loadFromRegistry(IDfRegistry registry, String objectId)`
  Reads infomation from the registry (in the current open key) with respect to DfClientRegistryObject.
  `abstract void`
  `loadFromRegistry(String objId)`
  Reads the information from the registry into the object
  `void`
  `setContentIdentifier(String contentIdentifier)`
  Sets content identifier
  `void`
  `setDocbaseId(String docbaseId)`
  Sets the ID of the repository the object resides on
  `void`
  `setDocbaseName(String docbaseName)`
  Sets the name of the repository the object resides on
  `void`
  `setDocbroker(String docbrokerName)`
  Sets the name of the DocBroker the user is using
  `void`
  `setDomainName(String domainName)`
  Sets the domain name of the object
  `void`
  `setFilePath(String filePath)`
  Sets the local file path of the object
  `void`
  `setFolderPath(String folderPath)`
  Sets the folder path of the object in the repository
  `void`
  `setFormat(String format)`
  Sets the object type of the object
  `void`
  `setFormatDescription(String formatDesc)`
  Sets the English name of the format of the object
  `protected final void`
  `setIsDirty(boolean isDirty)`
  `void`
  `setObjectId(String objId)`
  Sets the object ID of the object
  `void`
  `setObjectName(String objName)`
  Sets the name of the object
  `void`
  `setParentObjectId(String parentObjId)`
  `void`
  `setResourceForkIdentifier(String resourceForkIdentifier)`
  Sets resource fork identifier
  `void`
  `setTitle(String title)`
  Sets the title of the checked-out object
  `void`
  `setType(String type)`
  Sets the object type of the object
  `void`
  `setUser(String user)`
  Sets the user name of the user that is using the object
  `void`
  `setVStamp(int vStamp)`
  Sets the vstamp of the object
  `abstract void`
  `updateRegistry()`
  Writes the information in the object to the registry
  `protected final void`
  `updateRegistry(IDfRegistry registry)`
  Writes infomation to the registry (in the current open key) with respect to DfClientRegistryObject.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getObjectId

    public String getObjectId()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the repository object ID for the client registry object.
    Returns:
      the object ID of the object

  - ### setObjectId

    public void setObjectId(String objId)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the object ID of the object
    Parameters:
      `objId` - the new object ID

  - ### getObjectName

    public String getObjectName()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the name of the repository object.
    Returns:
      the name of the object

  - ### setObjectName

    public void setObjectName(String objName)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the name of the object
    Parameters:
      `objName` - the name of the object

  - ### getParentObjectId

    public String getParentObjectId()

  - ### setParentObjectId

    public void setParentObjectId(String parentObjId)

  - ### getTitle

    public String getTitle()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the title of the repository object.
    Returns:
      the title of the object

  - ### setTitle

    public void setTitle(String title)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the title of the checked-out object
    Parameters:
      `title` - the title of the object

  - ### getFilePath

    public String getFilePath()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the local content file path to the repository object.
    Returns:
      the local file path of the object

  - ### setFilePath

    public void setFilePath(String filePath)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the local file path of the object
    Parameters:
      `filePath` - the local file path of the checked-out object

  - ### getType

    public String getType()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the r_object_type for the repository object.
    Returns:
      the object type of the object

  - ### setType

    public void setType(String type)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the object type of the object
    Parameters:
      `type` - the object type of the object

  - ### getFormat

    public String getFormat()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the format name for the repository object (for example, msw6)
    Returns:
      the format of the checked-out object

  - ### setFormat

    public void setFormat(String format)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the object type of the object
    Parameters:
      `format` - the format of the object

  - ### getFormatDescription

    public String getFormatDescription()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the description of the repository format for the object (e.g. "Microsoft Word 6").
    Returns:
      the English name of the format of the object

  - ### setFormatDescription

    public void setFormatDescription(String formatDesc)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the English name of the format of the object
    Parameters:
      `formatDesc` - the format description of the object

  - ### getDocbaseId

    public String getDocbaseId()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the repository identifier for the repository to which the object belongs.
    Returns:
      the ID of the repository the object resides on

  - ### setDocbaseId

    public void setDocbaseId(String docbaseId)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the ID of the repository the object resides on
    Parameters:
      `docbaseId` - the ID of the repository the object resides on

  - ### getDocbaseName

    public String getDocbaseName()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the name of the repository this object belongs to.
    Returns:
      the name of the repository the object resides on

  - ### setDocbaseName

    public void setDocbaseName(String docbaseName)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the name of the repository the object resides on
    Parameters:
      `docbaseName` - the name of the repository the object resides on

  - ### getDocbroker

    public String getDocbroker()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the name of the DocBroker in use when the object was written to the registry.
    Returns:
      the name of the DocBroker the user is using

  - ### setDocbroker

    public void setDocbroker(String docbrokerName)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the name of the DocBroker the user is using
    Parameters:
      `docbrokerName` - the name of the DocBroker the user is using

  - ### getFolderPath

    public String getFolderPath()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the repository cabinet / folder path from which the repository object was accessed when the object was added to the registry. May be empty if no folder context was available.
    Returns:
      the folder path of the checked-out object in the repository

  - ### setFolderPath

    public void setFolderPath(String folderPath)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the folder path of the object in the repository
    Parameters:
      `folderPath` - the folder path of the object

  - ### getDomainName

    public String getDomainName()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the NT domain name of the user who registered this document.
    Returns:
      the domain name of the object

  - ### setDomainName

    public void setDomainName(String domainName)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the domain name of the object
    Parameters:
      `domainName` - the folder path of the object

  - ### getUser

    public String getUser()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the login name of the user who registered this document.
    Returns:
      the login name of the user that is using the object

  - ### setUser

    public void setUser(String user)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the user name of the user that is using the object
    Parameters:
      `user` - the user name of the user using the object

  - ### getVStamp

    public int getVStamp()
    Description copied from interface: `IDfClientRegistryObject`
    Returns the vstamp of the object.
    Returns:
      the vstamp of the object

  - ### setVStamp

    public void setVStamp(int vStamp)
    Description copied from interface: `IDfClientRegistryObject`
    Sets the vstamp of the object
    Parameters:
      `vStamp` - the vstamp of the object.

  - ### getContentIdentifier

    public String getContentIdentifier()
    Description copied from interface: `IDfClientRegistryObject`
    Returns content identifier
    Returns:
      content identifier

  - ### setContentIdentifier

    public void setContentIdentifier(String contentIdentifier)
    Description copied from interface: `IDfClientRegistryObject`
    Sets content identifier
    Parameters:
      `contentIdentifier` - content identifier

  - ### getResourceForkIdentifier

    public String getResourceForkIdentifier()
    Description copied from interface: `IDfClientRegistryObject`
    Returns resource fork identifier
    Returns:
      resource fork identifier

  - ### setResourceForkIdentifier

    public void setResourceForkIdentifier(String resourceForkIdentifier)
    Description copied from interface: `IDfClientRegistryObject`
    Sets resource fork identifier
    Parameters:
      `resourceForkIdentifier` - resource fork identifier

  - ### isDirty

    public boolean isDirty()
    Description copied from interface: `IDfClientRegistryObject`
    Returns true if the object attributes have been modified. Note: this method is intended for internal use.
    Returns:
      true if the object's attributes have been changed and not written to the registry

  - ### updateRegistry

    public abstract void updateRegistry() throws DfException
    Description copied from interface: `IDfClientRegistryObject`
    Writes the information in the object to the registry
    Throws:
      `DfException`

  - ### loadFromRegistry

    public abstract void loadFromRegistry(String objId) throws DfException
    Description copied from interface: `IDfClientRegistryObject`
    Reads the information from the registry into the object
    Parameters:
      `objId` - the object ID of the object to be read
    Throws:
      `DfException`

  - ### setIsDirty

    protected final void setIsDirty(boolean isDirty)

  - ### updateRegistry

    protected final void updateRegistry(IDfRegistry registry) throws DfException
    Writes infomation to the registry (in the current open key) with respect to DfClientRegistryObject.
    Parameters:
      `registry` - The registry object with the desired key already open.
    Throws:
      `DfException`

  - ### loadFromRegistry

    protected final void loadFromRegistry(IDfRegistry registry, String objectId) throws DfException
    Reads infomation from the registry (in the current open key) with respect to DfClientRegistryObject.
    Parameters:
      `registry` - The registry object with the desired key already open.
      `objectId` - The object id that was used to open the registry key.
    Throws:
      `DfException`

  - ### convertString

    protected final String convertString(String str)
    Converts nulls into empty strings for the registry.

  - ### convertStringWithoutWhitespace

    protected final String convertStringWithoutWhitespace(String str)
    Converts nulls into empty strings for the registry. Also remove any whitespace.

  - ### convertBoolean

    protected final String convertBoolean(boolean value)
    Converts booleans to it's equivalent string values